Time Card Entry
The time card entry resource.
Basehttps://rest.carbon.ms/timeCardEntry
GET
/timeCardEntryList time card entrys
Retrieve a paginated list of time card entrys. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/timeCardEntry
curl --request GET \
--url 'https://rest.carbon.ms/timeCardEntry?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"employeeId": "xyz789",
"companyId": "xyz789",
"clockIn": "2026-01-01T00:00:00Z",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"clockOut": "2026-01-01T00:00:00Z",
"note": "string"
}
]GET
/timeCardEntryRetrieve a time card entry
Fetch a single time card entry by filtering on `id`.
Query parameters
idstringMatch on the time card entry's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/timeCardEntry
curl --request GET \
--url 'https://rest.carbon.ms/timeCardEntry?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"employeeId": "xyz789",
"companyId": "xyz789",
"clockIn": "2026-01-01T00:00:00Z",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"clockOut": "2026-01-01T00:00:00Z",
"note": "string"
}POST
/timeCardEntryCreate a time card entry
Create a new time card entry.
Body parameters
employeeIdstringrequiredReferences user.id
companyIdstringrequiredReferences company.id
clockIntimestamprequiredclockOuttimestampnotestringautoCloseShiftIdstringReferences shift.id
POSThttps://rest.carbon.ms/timeCardEntry
curl --request POST \
--url https://rest.carbon.ms/timeCardEntry \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"employeeId":"xyz789","companyId":"xyz789","clockIn":"2026-01-01T00:00:00Z"}'Response
{
"id": "abc123def456",
"employeeId": "xyz789",
"companyId": "xyz789",
"clockIn": "2026-01-01T00:00:00Z",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"clockOut": "2026-01-01T00:00:00Z",
"note": "string"
}PATCH
/timeCardEntryUpdate a time card entry
Update an existing time card entry, matched on `id`.
Body parameters
employeeIdstringrequiredReferences user.id
companyIdstringrequiredReferences company.id
clockIntimestamprequiredclockOuttimestampnotestringautoCloseShiftIdstringReferences shift.id
PATCHhttps://rest.carbon.ms/timeCardEntry
curl --request PATCH \
--url 'https://rest.carbon.ms/timeCardEntry?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"employeeId":"xyz789"}'Response
{
"id": "abc123def456",
"employeeId": "xyz789",
"companyId": "xyz789",
"clockIn": "2026-01-01T00:00:00Z",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"clockOut": "2026-01-01T00:00:00Z",
"note": "string"
}DELETE
/timeCardEntryDelete a time card entry
Delete a time card entry, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the time card entry to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/timeCardEntry
curl --request DELETE \
--url 'https://rest.carbon.ms/timeCardEntry?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content